| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | List of all members
SbVec3fList Class Reference
Base Classes

The SbVec3fList class is a container for arrays of SbVec3f pointers.Note that upon using the equality and inequality operators, the SbVec3f objects themselves are not compared, only the pointer values. More...

`#include <Inventor/lists/SbVec3fList.h>`

Inheritance diagram for SbVec3fList:

## Public Member Functions

| SbVec3fList (void)
| ~SbVec3fList ()
void | append (const SbVec3f *item)
void | insert (const SbVec3f *item, const int insertbefore)
SbVec3f * | operator[] (const int idx) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members

Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SbVec3fList class is a container for arrays of SbVec3f pointers.

Note that upon using the equality and inequality operators, the SbVec3f objects themselves are not compared, only the pointer values.

Note also that all calls to append() and insert() will cause the list to allocate a new SbVec3f object. These objects are freed when the list is destructed.

See also
  SbList

## Constructor & Destructor Documentation

## ◆ SbVec3fList()

SbVec3fList::SbVec3fList | ( | void |  | ) |

inline

Default constructor.

## ◆ ~SbVec3fList()

SbVec3fList::~SbVec3fList | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ append()

void SbVec3fList::append | ( | const SbVec3f * | item | ) |

inline

Overridden from parent to allocate a new SbVec3f instance when called.

See also
  SbPList::append()

## ◆ insert()

void SbVec3fList::insert | ( | const SbVec3f * | item,
|  | const int | insertbefore
| ) |  |

inline

Overridden from parent to allocate a new SbVec3f instance when called.

See also
  SbPList::insert()

## ◆ operator[]()

SbVec3f * SbVec3fList::operator[] | ( | const int | idx | ) | const

inline

Overridden from parent to return an SbVec3f.

The documentation for this class was generated from the following files:

- SbVec3fList.h
- SbVec3fList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.